Skip to content

Set (or clear, with an empty role) the role a group's members are elevated to in the group's tenant; ceiling-checked against the caller's authority

PUT
/v1/groups/{id}/role
curl --request PUT \
--url https://example.com/v1/groups/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/role \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "role": "example" }'

Sets (or clears, with an empty role) the role a group’s members are elevated to in the group’s tenant. Ceiling-checked against the CALLER’s authority in the group’s stored tenant, and audited.

id
required
string format: uuid

Resource identifier (UUIDv7).

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
role
required

The role the group’s members are elevated to; an empty string clears the mapping.

string
Example generated
{
"role": "example"
}

OK

Media type application/json
object
display_name
required
string
id
required
string format: uuid
mapped_role
required
string
Example generated
{
"display_name": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"mapped_role": "example"
}

Bad request

Media type application/json
object
error
required
object
code
required
string
message
required
string
module

With code module_not_enabled: the namespace of the module this node does not run.

string
Example generated
{
"error": {
"code": "example",
"message": "example",
"module": "example"
}
}

Unauthenticated

Media type application/json
object
error
required
object
code
required
string
message
required
string
module

With code module_not_enabled: the namespace of the module this node does not run.

string
Example generated
{
"error": {
"code": "example",
"message": "example",
"module": "example"
}
}

Forbidden

Media type application/json
object
error
required
object
code
required
string
message
required
string
module

With code module_not_enabled: the namespace of the module this node does not run.

string
Example generated
{
"error": {
"code": "example",
"message": "example",
"module": "example"
}
}

Not found

Media type application/json
object
error
required
object
code
required
string
message
required
string
module

With code module_not_enabled: the namespace of the module this node does not run.

string
Example generated
{
"error": {
"code": "example",
"message": "example",
"module": "example"
}
}

Conflict / setup required

Media type application/json
object
error
required
object
code
required
string
message
required
string
module

With code module_not_enabled: the namespace of the module this node does not run.

string
Example generated
{
"error": {
"code": "example",
"message": "example",
"module": "example"
}
}

Rate limited

Media type application/json
object
error
required
object
code
required
string
message
required
string
module

With code module_not_enabled: the namespace of the module this node does not run.

string
Example generated
{
"error": {
"code": "example",
"message": "example",
"module": "example"
}
}